Subject: Re: ibm4xx_quiesce_eth?

From: Stefan Roese <[email-masked]>
Date: Fri, 11 Jan 2008 07:14:59 +0100

On Thursday 10 January 2008, Josh Boyer wrote:
> On Thu, 10 Jan 2008 13:38:12 -0500
>
> Sean MacLennan <[email-masked]> wrote:
> > What exactly does this function do?
> >
> >     /* Quiesce the MAL and EMAC(s) since PIBS/OpenBIOS don't
> >      * do this for us
> >      */
> >
> > On the taco, with the 440EP, it doesn't seem to make any difference if I
> > call this or not. Since I am using u-boot, is it not needed?
>
> There are firmwares that do not reset the EMAC and MAL before passing
> control to the client program (Linux in our case).  This can cause
> weird things to happen, like spurious interrupts or DMAs from the
> hardware overwriting kernel memory.  So we quiesce the hardware really
> early on those.
>
> I don't believe U-Boot has that problem.  If it does, it should be
> fixed :)

No, U-Boot doesn't have this problem.

Best regards,
Stefan

=====================================================================
DENX Software Engineering GmbH,     MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: +49-8142-66989-0 Fax: +49-8142-66989-80  Email: [email-masked]
=====================================================================